// DatosView.cpp : implementation file
//

#include "stdafx.h"
#include "Programa.h"

#include "ProgramaDoc.h"
#include "DatosView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif


/////////////////////////////////////////////////////////////////////////////
// CDatosView

IMPLEMENT_DYNCREATE(CDatosView, CScrollView)

CDatosView::CDatosView()
{
}

CDatosView::~CDatosView()
{
}


BEGIN_MESSAGE_MAP(CDatosView, CScrollView)
	//{{AFX_MSG_MAP(CDatosView)
	ON_WM_KEYDOWN()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDatosView drawing

void CDatosView::OnInitialUpdate()
{
	CScrollView::OnInitialUpdate();

	CSize sizeTotal(1000, 100000);
	CSize sizePage(sizeTotal.cx / 2, sizeTotal.cy / 50);
	CSize sizeLine(sizeTotal.cx / 50, sizeTotal.cy / 2000);
	SetScrollSizes(MM_LOMETRIC, sizeTotal, sizePage, sizeLine);
}

void CDatosView::OnDraw(CDC* pDC)
{
	pDC->TextOut(30, -10, "Cdigo G:");
	pDC->TextOut(30, -60, "Coordenadas ( x , y , z )");
	
	CProgramaDoc* pDoc = GetDocument();

	if (pDoc->presentar == 1)
	{
		char aux[30];
		int i, j;
		for ( i=0, j=0; i<pDoc->nl; i++, j+=-40)
		{
			sprintf(aux,"%.3f  %.3f  %.3f",pDoc->x[i],pDoc->y[i],pDoc->z[i]);
			pDC->TextOut(30,j-160,aux);
		}
	}

}

/////////////////////////////////////////////////////////////////////////////
// CDatosView diagnostics

#ifdef _DEBUG
void CDatosView::AssertValid() const
{
	CScrollView::AssertValid();
}

void CDatosView::Dump(CDumpContext& dc) const
{
	CScrollView::Dump(dc);
}

CProgramaDoc* CDatosView::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CProgramaDoc)));
	return (CProgramaDoc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CDatosView message handlers

void CDatosView::OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags) 
{
	switch (nChar) {
	case VK_HOME:
		OnVScroll(SB_TOP, 0, NULL);
		OnHScroll(SB_LEFT, 0, NULL);
		break;
	case VK_END:
		OnVScroll(SB_BOTTOM, 0, NULL);
		OnHScroll(SB_RIGHT, 0, NULL);
		break;
	case VK_UP:
		OnVScroll(SB_LINEUP, 0, NULL);
		break;
	case VK_DOWN:
		OnVScroll(SB_LINEDOWN, 0, NULL);
		break;
	case VK_PRIOR:
		OnVScroll(SB_PAGEUP, 0, NULL);
		break;
	case VK_NEXT:
		OnVScroll(SB_PAGEDOWN, 0, NULL);
		break;
	case VK_LEFT:
		OnHScroll(SB_LINELEFT, 0, NULL);
		break;
	case VK_RIGHT:
		OnHScroll(SB_LINERIGHT, 0, NULL);
		break;
	default:
		break;
	}
}
